<?php

namespace Sibs\Sibs\Block\Adminhtml;

use Magento\Framework\Registry;
use Magento\Framework\View\Element\Template;
use Magento\Framework\View\Element\Template\Context;
use Sibs\Sibs\Helper\DataHelper as SibsHelper;
use Sibs\Sibs\Utils\SibsBrowser;

class Status extends Template
{
    protected $coreRegistry;

    protected $_helper;

    public function __construct(
        Context $context,
        Registry $registry,
        SibsHelper $SibsHelper,
        array $data = []
    ) {
        $this->coreRegistry = $registry;
        $this->_helper      = $SibsHelper;
        parent::__construct($context, $data);
    }

    public function sibsVersion()
    {
        return $this->_helper->getVersion();
    }

    public function sibsClientId()
    {
        return $this->_helper->getClientID();
    }

    public function getBrowserInfo()
    {
        $browser = new SibsBrowser($_SERVER['HTTP_USER_AGENT']);

        return $browser;
    }
}
